Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1293340 - Missing Requires: openssl >= 1.0.1e-42
Summary: Missing Requires: openssl >= 1.0.1e-42
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: softhsm
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Petr Spacek
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks: 1286635
TreeView+ depends on / blocked
 
Reported: 2015-12-21 13:12 UTC by Petr Spacek
Modified: 2016-12-15 16:14 UTC (History)
4 users (show)

Fixed In Version: softhsm-2.1.0-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-15 16:14:08 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Petr Spacek 2015-12-21 13:12:47 UTC
Description of problem:
SoftHSM package is missing Requires: openssl >= 1.0.1e-42 in the SPEC file.

This is causing problems like e.g. bug 1286635.

Version-Release number of selected component (if applicable):
softhsm-2.0.0rc1-3.el7

How reproducible:
100 %

Steps to Reproduce:
1. yum upgrade softhsm (i.e. avoid explicit upgrade of openssl at the same time)

Actual results:
SoftHSM library does not work.

Expected results:
It should work.

Comment 1 Petr Spacek 2016-01-07 11:32:25 UTC
IPA will apply workaround for bug 1286635 for now, so this can be solved in 7.3.0.

Comment 4 Kaleem 2016-09-19 12:33:35 UTC
Verified.

[root@dhcp207-129 ~]# yum deplist softhsm|grep 'dependency: openssl-libs'
  dependency: openssl-libs >= 1.0.1e-42.el7_1.2
  dependency: openssl-libs >= 1.0.1e-42.el7_1.2
  dependency: openssl-libs >= 1.0.1e-42.el7_1.2
[root@dhcp207-129 ~]# rpm -q softhsm
softhsm-2.1.0-2.el7.x86_64
[root@dhcp207-129 ~]#

Comment 5 Petr Spacek 2016-12-15 16:14:08 UTC
Fix was released as part of erratum RHEA-2016:2482-03 softhsm bug fix update.


Note You need to log in before you can comment on or make changes to this bug.